Skip to content

Get Lineage Proposal Detail

GET
/v1/portal/lineage/proposals/{proposal_key}
curl --request GET \
--url 'https://example.com/v1/portal/lineage/proposals/example?limit=50&tenant_id='
proposal_key
required
Proposal Key
string
limit
Limit
integer
default: 50 >= 1 <= 200
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
PortalGraphProposalDetailOut
object
proposal_key
required
Proposal Key
string
status
Status
string
""
next_action
Next Action
string
""
affected_assets
Affected Assets
Array<string>
affected_groups
Affected Groups
Array<string>
affected_datasets
Affected Datasets
Array<string>
approval_boundary_groups
Approval Boundary Groups
Array<string>
review_url
Review Url
string
""
evidence_url
Evidence Url
string
""
Example
{
"status": "",
"next_action": "",
"review_url": "",
"evidence_url": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}